#
# spec file for package python-jaraco.functools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-jaraco.functools
Version:        1.16
Release:        1.1
Summary:        Jaraco functools module
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jaraco/jaraco.functools
Source:         https://files.pythonhosted.org/packages/source/j/jaraco.functools/jaraco.functools-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module jaraco.classes}
BuildRequires:  %{python_module more-itertools}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python2-backports.functools_lru_cache
BuildRequires:  python2-backports.unittest_mock
%ifpython2
Requires:       python2-backports.functools_lru_cache
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Additional functools in the spirit of stdlib’s functools. See the
documentation for more information.

%prep
%setup -q -n jaraco.functools-%{version}
rm -rf jaraco.functools.egg-info

%build
%python_build
dos2unix README.rst

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES.rst README.rst docs/*.rst
%{python_sitelib}/*

%changelog
* Fri Jul 14 2017 aloisio@gmx.com
- Update to version 1.16
  * #7: ``retry_call`` now accepts infinity for the ``retries``
    parameter.
  1.15.2:
  * Refresh packaging.
  1.15.1:
  * Fix assign_params on Python 2.
  1.15:
  * Add ``assign_params`` function.
  1.14:
  * Add ``pass_none`` decorator function.
  1.13:
  * Add ``print_yielded`` func implementing the func of the same
    name found in autocommand docs.
  1.12:
  * Issue #6: Added a bit of documentation and xfail tests showing
    that the ``method_cache`` can't be used with other decorators
    such as ``property``.
- Split docs and tests into separate -doc package to make tests
  work
- Converted to single-spec
* Tue Aug  2 2016 sor.alexei@meowr.ru
- Switch to Python2.
* Fri Jun 24 2016 arun@gmx.de
- update to version 1.11:
  * Include dates and links in changelog.
- changes from version 1.10:
  * Use Github for continuous deployment to PyPI.
* Thu Jun  9 2016 toddrme2178@gmail.com
- Remove unneeded python3-Sphinx dependency.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Mar 26 2016 arun@gmx.de
- update to version 1.9:
  * Add retry_call from qdf.requests
* Sat Mar 12 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.8.2:
  * Remove skip, as the fix for 3.5.1 was insufficient. Ref #3
  * Add a test for `method_cache` on the `__getitem__` and
    `__getattr__` magic methods
  * Update test to use new-style class for consistency with Python
    3. Ref #5
  * Add a shim to handle creation of a separate cached method for
    special methods which cannot exist as instance_methods. Fixes #5.
  * Once again mark the test as skipped on versions where it's known
    to fail, as the upstream bug has been further extended to address
    the issue with __qualname__. Fixes #3.
* Sun Dec 13 2015 arun@gmx.de
- specfile:
  * CHANGES and README: .txt->.rst
- update to version 1.8.1:
  * Refresh project skeleton
- changes from version 1.8:
  * More generous handling of missing lru_cache when installed on
    Python 2 and older pip. Now all functools except method_cache will
    continue to work even if backports.functools_lru_cache is not
    installed. Also allows functools32 as a fallback if available.
- changes from version 1.7:
  * Moved hosting to github.
* Mon Nov  2 2015 toddrme2178@gmail.com
- Fix conflicts with other jaraco packages.
* Mon Nov  2 2015 toddrme2178@gmail.com
- Enable unit tests.
* Sun Aug 16 2015 arun@gmx.de
- update to version 1.6:
  * "method_cache" now accepts a cache_wrapper parameter, allowing for
    custom parameters to an "lru_cache" or an entirely different cache
    implementation.
  * Use "backports.functools_lru_cache" to provide "lru_cache" for
    Python 2.
* Sat Jul 18 2015 arun@gmx.de
- specfile:
  * changed from zip to tar.gz
  * added setuptools_scm
- update to version 1.5:
  * Implement "Throttler" as a descriptor so it may be used to
    decorate methods. Introduces "first_invoke" function.
  * Fixed failure in Throttler on Python 2 due to improper use of
    integer division.
- changes from version 1.4:
  * Added "Throttler" class from irc
    <https://bitbucket.org/jaraco/irc>
* Sun Apr 26 2015 arun@gmx.de
- update to version 1.3:
  * Added "call_aside" decorator
* Tue Mar  3 2015 arun@gmx.de
- update to version 1.2:
  * Added "apply" decorator.
* Sun Feb 22 2015 arun@gmx.de
- update to version 1.1:
  * Make pytest-runner and sphinx optionlly required.
* Sat Feb 14 2015 arun@gmx.de
- initial version
